import { DOMParser, XMLSerializer } from "@xmldom/xmldom";

/**
 *
 * Экранирует HTML-код, заменяя символы "<", ">", "&" на их соответствующие entity-кодировки.
 *
 * @param text
 */
/**
 * Экранирует HTML-код, заменяя символы "<", ">", "&", '"' и "'" на их соответствующие entity-кодировки.
 *
 * @param text
 */
export function escapeHtml(text: string): string {
  return text
    .replace(/&/g, "&amp;")
    .replace(/</g, "&lt;")
    .replace(/>/g, "&gt;")
    .replace(/"/g, "&quot;")
    .replace(/'/g, "&#39;");
}
